Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates
Enum TorqueSchemaAttributeName

    java.lang.Object
      java.lang.Enum<TorqueSchemaAttributeName>
          org.apache.torque.templates.TorqueSchemaAttributeName

All Implemented Interfaces:
  Serializable, Comparable<TorqueSchemaAttributeName>, SourceAttributeName

    public enum TorqueSchemaAttributeName

extends Enum<TorqueSchemaAttributeName>
implements SourceAttributeName

Contains all attribute names from the Torque schema. $Id: TorqueSchemaAttributeName.java 1447627 2013-02-19 08:49:59Z tfischer $

Enum Constant Summary
`AUTO_INCREMENT` attribute autoIncrement.
`BASE_CLASS` attribute baseClass.
`CLASS` attribute class.
`DEFAULT` attribute default.
`DEFAULT_ID_METHOD` attribute defaultIdMethod.
`DEFAULT_JAVA_TYPE` attribute defaultJavaType.
`DOMAIN` attribute domain.
`EXTENDS` attribute extends.
`FILENAME` attribute filename.
`FOREIGN` attribute foreign.
`FOREIGN_TABLE` attribute foreignTable.
`ID_METHOD` attribute idMethod.
`INHERITANCE` attribute inheritance.
`INTERFACE` attribute interface.
`JAVA_NAME` attribute javaName.
`JAVA_TYPE` attribute javaType.
`KEY` attribute key
`LOCAL` attribute local.
`NAME` attribute name.
`ON_DELETE` attribute onDelete.
`ON_UPDATE` attribute onUpdate.
`PRIMARY_KEY` attribute primaryKey.
`PROTECTED` attribute protected.
`REQUIRED` attribute required.
`SCALE` attribute scale.
`SIZE` attribute size.
`SKIP_SQL` attribute skipSql
`TYPE` attribute type.
`USE_DATABASE_DEFAULT_VALUE` attribute useDatabaseDefaultValue.
`VALUE` attribute value.
`VERSION` attribute version

Method Summary
`String` | `getName()` returns the name of the attribute.
`String` | `toString()`
`static TorqueSchemaAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TorqueSchemaAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME

    public static final TorqueSchemaAttributeName NAME

  attribute name.

### JAVA_NAME

    public static final TorqueSchemaAttributeName JAVA_NAME

  attribute javaName.

### JAVA_TYPE

    public static final TorqueSchemaAttributeName JAVA_TYPE

  attribute javaType.

### FOREIGN_TABLE

    public static final TorqueSchemaAttributeName FOREIGN_TABLE

  attribute foreignTable.

### LOCAL

    public static final TorqueSchemaAttributeName LOCAL

  attribute local.

### FOREIGN

    public static final TorqueSchemaAttributeName FOREIGN

  attribute foreign.

### ON_UPDATE

    public static final TorqueSchemaAttributeName ON_UPDATE

  attribute onUpdate.

### ON_DELETE

    public static final TorqueSchemaAttributeName ON_DELETE

  attribute onDelete.

### PRIMARY_KEY

    public static final TorqueSchemaAttributeName PRIMARY_KEY

  attribute primaryKey.

### ID_METHOD

    public static final TorqueSchemaAttributeName ID_METHOD

  attribute idMethod.

### DEFAULT_ID_METHOD

    public static final TorqueSchemaAttributeName DEFAULT_ID_METHOD

  attribute defaultIdMethod.

### DEFAULT_JAVA_TYPE

    public static final TorqueSchemaAttributeName DEFAULT_JAVA_TYPE

  attribute defaultJavaType.

### VALUE

    public static final TorqueSchemaAttributeName VALUE

  attribute value.

### REQUIRED

    public static final TorqueSchemaAttributeName REQUIRED

  attribute required.

### AUTO_INCREMENT

    public static final TorqueSchemaAttributeName AUTO_INCREMENT

  attribute autoIncrement.

### INHERITANCE

    public static final TorqueSchemaAttributeName INHERITANCE

  attribute inheritance.

### INTERFACE

    public static final TorqueSchemaAttributeName INTERFACE

  attribute interface.

### PROTECTED

    public static final TorqueSchemaAttributeName PROTECTED

  attribute protected.

### DEFAULT

    public static final TorqueSchemaAttributeName DEFAULT

  attribute default.

### USE_DATABASE_DEFAULT_VALUE

    public static final TorqueSchemaAttributeName USE_DATABASE_DEFAULT_VALUE

  attribute useDatabaseDefaultValue.

### CLASS

    public static final TorqueSchemaAttributeName CLASS

  attribute class.

### BASE_CLASS

    public static final TorqueSchemaAttributeName BASE_CLASS

  attribute baseClass.

### EXTENDS

    public static final TorqueSchemaAttributeName EXTENDS

  attribute extends.

### DOMAIN

    public static final TorqueSchemaAttributeName DOMAIN

  attribute domain.

### TYPE

    public static final TorqueSchemaAttributeName TYPE

  attribute type.

### SIZE

    public static final TorqueSchemaAttributeName SIZE

  attribute size.

### SCALE

    public static final TorqueSchemaAttributeName SCALE

  attribute scale.

### FILENAME

    public static final TorqueSchemaAttributeName FILENAME

  attribute filename.

### KEY

    public static final TorqueSchemaAttributeName KEY

  attribute key

### SKIP_SQL

    public static final TorqueSchemaAttributeName SKIP_SQL

  attribute skipSql

### VERSION

    public static final TorqueSchemaAttributeName VERSION

  attribute version

Method Detail

### values

    public static TorqueSchemaAttributeName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TorqueSchemaAttributeName c : TorqueSchemaAttributeName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TorqueSchemaAttributeName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  returns the name of the attribute.

  Specified by:
    `getName` in interface `SourceAttributeName`
  Returns:
    the name of the attribute, not null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TorqueSchemaAttributeName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.